Skip to main content
`Ctrl`+`K`

# PCASMGetSubMatType

Gets the matrix type used for `PCASM` subsolves, as a string.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCASMGetSubMatType(PC pc, MatType *sub_mat_type)

Not Collective

## Input Parameter

- pc - the `PC`

## Output Parameter

- sub_mat_type - name of matrix type

## See Also

KSP: Linear System Solvers, `PCASM`, `PCASMSetSubMatType()`, `PCSetType()`, `VecSetType()`, `MatType`, `Mat`

## Level

advanced

## Location

src/ksp/pc/impls/asm/asm.c

## Implementations

PCASMGetSubMatType_ASM() in src/ksp/pc/impls/asm/asm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages